local Original_ChatFrame_OnEvent;

function ChatTimestamp_OnLoad()
	-- Hook ChatFrame_OnEvent so we can hook AddMessage
	Original_ChatFrame_OnEvent = ChatFrame_OnEvent;
	ChatFrame_OnEvent = ChatTimestamp_ChatFrame_OnEvent;
end

function ChatTimestamp_ChatFrame_OnEvent(event)
	Original_ChatFrame_OnEvent(event); --call the real ChatFrame_OnEvent function
	--if we haven't already done so, hook the AddMessage function
	if(not this.Original_AddMessage) then
		this.Original_AddMessage = this.AddMessage;
		this.AddMessage = ChatTimestamp_AddMessage;
	end
end

function ChatTimestamp_AddMessage(this, msg, r, g, b, id)
	local hour, minute = GetGameTime();
	local pm;
	local OffsetHour = NURFED_OFFSET_HOUR;
	local OffsetMinute = NURFED_OFFSET_MINUTE;
	
	hour = hour + OffsetHour;
	minute = minute + OffsetMinute;
	if( minute > 59 ) then
		minute = minute - 60;
		hour = hour + 1
	elseif( minute < 0 ) then
		minute = 60 + minute;
		hour = hour - 1;
	end
	if( hour > 23 ) then
		hour = hour - 24;
	elseif( hour < 0 ) then
		hour = 24 + hour;
	end
	local newmsg = format("[%02d:%02d] %s",hour, minute, msg); --format the output
	this:Original_AddMessage(newmsg, r, g, b, id); --call the real AddMessage function
end
