function fishinfo_command()
	clear();
	showFishInfo();
end

function fishinfo_OnLoad()
	RegisterForSave("imppfishinfoDB");

	this:RegisterEvent("VARIABLES_LOADED");
	this:RegisterEvent("LOOT_OPENED");

	SlashCmdList["fishinfo"] = fishinfo_command;
	SLASH_fishinfo1 = "/fishinfo";
	SLASH_fishinfo2 = "/fi";

	if( not imppfishinfoDB ) then
		imppfishinfoDB = { };
	end
	
	if ( DEFAULT_CHAT_FRAME ) then 
		DEFAULT_CHAT_FRAME:AddMessage("Impp's Fish Info v1.1 loaded");
	end
end

function fishinfo_OnEvent(event)
	if ( event == "LOOT_OPENED" ) then
		if (IsFishingLoot()) then
			texture, item, quantity, quality = GetLootSlotInfo(1);

			local zone = GetMinimapZoneText();
			local index = zone;

			if( not imppfishinfoDB[index] ) then
				imppfishinfoDB[index] = { };
			end
			
			if ( not imppfishinfoDB[index]["itemnames"] ) then
				imppfishinfoDB[index]["itemnames"] = { };
			end
			
			if ( not imppfishinfoDB[index]["itemnames"][item] ) then
				imppfishinfoDB[index]["itemnames"][item] = { };

				imppfishinfoDB[index]["itemnames"][item]["number"] = 1;
				imppfishinfoDB[index]["itemnames"][item]["texture"] = texture;
				imppfishinfoDB[index]["itemnames"][item]["quality"] = quality;
				DEFAULT_CHAT_FRAME:AddMessage("FishInfo added "..item.." to location "..index, 1.0, 0, 0);
			else
				imppfishinfoDB[index]["itemnames"][item]["number"] = imppfishinfoDB[index]["itemnames"][item]["number"] + 1;
			end
		end
	end
end

function LocationDropDown_OnClick()
	local itemstr, loc, index, amount;
	local c = 1;
	local totalCount = 0;
	local procent = 0;

	UIDropDownMenu_SetSelectedID(LocationDropDown, this:GetID());
	loc = UIDropDownMenu_GetText(LocationDropDown);
	
	clear();

	for index in imppfishinfoDB[loc]["itemnames"] do
		totalCount = totalCount + imppfishinfoDB[loc]["itemnames"][index].number;
	end

	for index in imppfishinfoDB[loc]["itemnames"] do
		amount = imppfishinfoDB[loc]["itemnames"][index].number;

		procent = format("%.1f %%", ( amount / totalCount ) * 100);
		additem(index.." - "..amount.." ("..procent..")", c);
		c = c + 1;
	end
end

function LocationDropDown_Initialize()
	local index, i;
	info = {};
	
	for index in imppfishinfoDB do
		info.text = index;
		info.checked = nil;
		info.func = LocationDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function setDefaultLocation()
	local c = 1;
	local loc = GetMinimapZoneText();
	local found = 0;
	local totalCount = 0;
	local procent = 0;

	for i in imppfishinfoDB do
		if( i == loc ) then
			UIDropDownMenu_SetSelectedName(LocationDropDown, loc);

			clear();
			
			for index in imppfishinfoDB[loc]["itemnames"] do
				totalCount = totalCount + imppfishinfoDB[loc]["itemnames"][index].number;
			end
			
			for index in imppfishinfoDB[loc]["itemnames"] do
				amount = imppfishinfoDB[loc]["itemnames"][index].number;
				
				--procent = ( amount / totalCount ) * 100;
				procent = format("%.1f %%", ( amount / totalCount ) * 100);
				additem(index.." - "..amount.." ("..procent..")", c);
				c = c + 1;
			end

			found = 1;
		end
	end

	if ( found == 0 ) then
		UIDropDownMenu_SetSelectedID(LocationDropDown, 0);
		UIDropDownMenu_SetText("", LocationDropDown);
	end
end